=== debian/changelog ===
ghostscript (10.0.0~dfsg-8) unstable; urgency=medium

  * QA upload
  * debian/: No longer build with dynamic modules (Closes: #1023330)
    - X11 support is now part of ghostscript and ghostcript-x is a
      transitional package.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Dec 2022 16:00:05 +0100

ghostscript (10.0.0~dfsg-7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + ghostscript-x: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 04:28:59 +0000

ghostscript (10.0.0~dfsg-6) unstable; urgency=medium

  * QA upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 28 Oct 2022 12:31:22 +0200

ghostscript (10.0.0~dfsg-5) experimental; urgency=medium

  * QA upload
  * debian/: Partially revert the changes from 10.0.0~dfsg-2
    - Move version-specific files back to libgs10-common
    - Keep non-version-specific ICC profiles in libgs-common
    - Add libgs9-common transitional package for packages requiring the ICC
      profiles
  * debian/rules: Use no longer necessary dh_strip override
  * debian/control: Remove unnecessary ${shlibs:Depends}

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 28 Oct 2022 01:19:27 +0200

ghostscript (10.0.0~dfsg-4) unstable; urgency=medium

  * orphan package: set maintainer to Debian QA Group

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Oct 2022 13:54:55 +0200

ghostscript (10.0.0~dfsg-3) unstable; urgency=medium

  * build-depend on dh-sequence-pkgkde-symbolshelper
    (not pkg-kde-tools)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Oct 2022 20:21:55 +0200

ghostscript (10.0.0~dfsg-2) experimental; urgency=medium

  * provide binary package libgs-common (not libgs10-common),
    and have it break and replace libgs9-common;
    closes: bug#1020846, thanks to Andreas Beckmann

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Sep 2022 15:53:11 +0200

ghostscript (10.0.0~dfsg-1) experimental; urgency=medium

  * update copyright-check:
    + declare metadata extensions separately from use
    + update coverage
  * drop patch 1001 to support cross build, adopted upstream
  * unfuzz patches
  * declare compliance with Debian Policy 4.6.1
  * unfuzz patches
  * bump library packages for new SONAME

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Sep 2022 14:40:36 +0200
