=== debian/control ===
Source: ghostscript
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-linktree,
 dh-sequence-pkgkde-symbolshelper,
 fonts-urw-base35,
 freeglut3-dev,
 libcups2-dev [!kfreebsd-any],
 libcupsimage2-dev [!kfreebsd-any],
 libexpat-dev,
 libfontconfig1-dev,
 libfreetype-dev,
 libice-dev,
 libidn11-dev,
 libijs-dev,
 libjbig2dec0-dev (>= 0.19),
 libjpeg-dev,
 liblcms2-dev,
 libopenjp2-7-dev,
 libpaper-dev,
 libpng-dev,
 libsm-dev,
 libtiff-dev,
 libx11-dev,
 libxext-dev,
 libxt-dev,
 pkg-config,
 rename,
 zlib1g-dev:native,
Standards-Version: 4.6.1
Homepage: https://www.ghostscript.com/
Vcs-Git: https://salsa.debian.org/debian/ghostscript.git
Vcs-Browser: https://salsa.debian.org/debian/ghostscript
Rules-Requires-Root: no

Package: ghostscript
Architecture: any
Multi-Arch: foreign
Depends:
 libgs10 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postscript-viewer,
Description: interpreter for the PostScript language and for PDF
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics
 to be printed on non-PostScript printers.
 Supported printers include common dot-matrix, inkjet and laser models.

Package: ghostscript-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 ghostscript,
Description: interpreter for the PostScript language and for PDF - Documentation
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package contains documentation for GPL Ghostscript,
 mainly targeted developers and advanced users.

Package: libgs10
Section: libs
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libgs10-common (= ${source:Version}),
 poppler-data,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: interpreter for the PostScript language and for PDF - Library
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides the Ghostscript library
 which makes the facilities of GPL Ghostscript available
 to applications.

Package: libgs-common
Section: libs
Architecture: all
Depends:
 ${misc:Depends},
Replaces:
 libgs9-common (<< 10),
Breaks:
 libgs9-common (<< 10),
Multi-Arch: foreign
Description: interpreter for the PostScript language and for PDF - ICC profiles
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides common ICC profiles.

Package: libgs10-common
Section: libs
Architecture: all
Depends:
 ${misc:Depends},
 libgs-common
Recommends:
 fonts-droid-fallback,
Replaces:
 libgs-common (<< 10.0.0~dfsg-5),
Breaks:
 libgs-common (<< 10.0.0~dfsg-5),
Multi-Arch: foreign
Description: interpreter for the PostScript language and for PDF - common files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides common architecture-independent files
 needed by the GPL Ghostscript library.
 .
 By default, GPL Ghostscript uses a font from the fonts-droid package
 to approximate glyphs in PDFs
 for which the requested CJK TrueType font is missing.
 If the fonts-droid package is not installed,
 these glyphs will be rendered as bullets.

Package: libgs-dev
Section: libdevel
Architecture: any
Depends:
 libgs10 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: interpreter for the PostScript language and for PDF - Development Files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides the development files
 for the GPL Ghostscript library
 which makes the facilities of GPL Ghostscript available
 to applications.

Package: ghostscript-x
Section: oldlibs
Architecture: any
Depends:
 ghostscript (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: transitional package for ghostscript
 This is a transitional package and can safely be removed.

Package: libgs9-common
Section: oldlibs
Architecture: all
Depends:
 ${misc:Depends},
 libgs-common
Multi-Arch: foreign
Description: transitional package for libgs-common
 This is a transitional package and can safely be removed.
