## ghostscript 10.0.0~dfsg1

=== debian/changelog ===
ghostscript (10.0.0~dfsg1-0ubuntu1.5) lunar-security; urgency=medium

  * SECURITY UPDATE: DoS via dangling pointer
    - debian/patches/CVE-2023-46751.patch: fix tiffsep(1) requirement for
      seekable output files in base/gdevprn.c, devices/gdevtsep.c.
    - CVE-2023-46751

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Dec 2023 14:25:02 -0500

ghostscript (10.0.0~dfsg1-0ubuntu1.4) lunar-security; urgency=medium

  * SECURITY UPDATE: code execution via PS documents and IJS device
    - debian/patches/CVE-2023-43115.patch: prevent PostScript programs
      switching to the IJS device after SAFER has been activated in
      devices/gdevijs.c.
    - CVE-2023-43115

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Oct 2023 09:02:25 -0400

ghostscript (10.0.0~dfsg1-0ubuntu1.3) lunar-security; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-38559.patch: bounds check the buffer prior to
      deferencing the pointer in devn_pcx_write_rle() in base/gdevdevn.c.
    - CVE-2023-38559

 -- Allen Huang <allen.huang@canonical.com>  Tue, 15 Aug 2023 11:25:30 +0100

ghostscript (10.0.0~dfsg1-0ubuntu1.2) lunar-security; urgency=medium

  * SECURITY UPDATE: incorrect permission validation for pipe devices
    - debian/patches/CVE-2023-36664-1.patch: don't reduce pipe file names
      for permission validation in base/gpmisc.c, base/gslibctx.c.
    - debian/patches/CVE-2023-36664-2.patch: fix logic and add extra test
      in base/gpmisc.c, base/gslibctx.c.
    - CVE-2023-36664

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Jul 2023 12:45:07 -0400

ghostscript (10.0.0~dfsg1-0ubuntu1.1) lunar-security; urgency=medium

  * SECURITY UPDATE: Buffer Overflow
    - debian/patches/CVE-2023-28879.patch: add check to make sure that the
      buffer has space for two characters in s_xBCPE_process() in base/sbcp.c.
    - debian/patches/CVE-2023-28879-post.patch: add PostScript filters
      removals in Resource/Init/gs_init.ps.
    - CVE-2023-28879

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 25 Apr 2023 16:29:39 -0300

ghostscript (10.0.0~dfsg1-0ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 10.00.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Just mark all libtesseract symbols optional and be done with it.
      They are also arch-specific so causing build failures on non-x86.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.
    - Upstream patch (commit 387f094) for the CUPS/PWG/Apple Raster
      output device not to match custom page sizes against the sizes defined
      in the PPD file, to avoid unwished rotations or size adjustments.
      (cups-filters upstream issue #484).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 Feb 2023 18:39:15 +0100

ghostscript (10.0.0~dfsg-9) unstable; urgency=medium

  * QA upload.
  * Build docs with sphinx. Closes: #1024896, #1024964

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 12 Dec 2022 07:45:09 +0100
