=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-linktree,
@@ -30,6 +31,10 @@
  pkg-config,
  rename,
  zlib1g-dev:native,
+Build-Depends-Indep:
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+ rst2pdf,
 Standards-Version: 4.6.1
 Homepage: https://www.ghostscript.com/
 Vcs-Git: https://salsa.debian.org/debian/ghostscript.git
@@ -60,6 +65,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+ ${sphinxdoc:Depends},
 Suggests:
  ghostscript,
 Description: interpreter for the PostScript language and for PDF - Documentation
