## ghostscript 10.01.2~dfsg

=== debian/changelog ===
ghostscript (10.01.2~dfsg-1) unstable; urgency=medium

  * QA upload

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix source helper tool copyright-check to avoid insecure shell expansion
  * fix source helper tool copyright-check to work with Path::Tiny 0.144
  * declare compliance with Debian Policy 4.6.2
  * update copyright info: extend repackaging to exclude images containing non-DFSG ICC profile
  * drop patches obsoleted by upstream changes
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Jun 2023 08:15:42 +0200

ghostscript (10.0.0~dfsg-11) unstable; urgency=medium

  * QA upload.
  * Prevent buffer overrun in (T)BCP encoding (CVE-2023-28879)
    (Closes: #1033757)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Apr 2023 09:48:32 +0200

ghostscript (10.0.0~dfsg-10) unstable; urgency=medium

  * QA upload.
  * Add patch from upstream to fix cross build. Closes: #717825

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 20 Mar 2023 09:12:00 +0100
