=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  rst2pdf,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.ghostscript.com/
 Vcs-Git: https://salsa.debian.org/debian/ghostscript.git
 Vcs-Browser: https://salsa.debian.org/debian/ghostscript
