=== lcms2mt/plugins/fast_float/Makefile ===

# Dummy
all: 	
check: 
install:
install-exec:
uninstall:
clean:
distclean:
	echo .
