=== debian/changelog ===
ghostscript (10.02.1~dfsg1-0ubuntu7.8) noble-security; urgency=medium

  * SECURITY UPDATE: null pointer deref on file write failure
    - debian/patches/CVE-2025-7462.patch: catch a null file pointer closing
      pdfwrite in devices/vector/gdevpdf.c.
    - CVE-2025-7462
  * SECURITY UPDATE: stack overflow in pdf_write_cmap
    - debian/patches/CVE-2025-59798.patch: use dynamically allocated buffer
      and check return codes in devices/vector/gdevpdtw.c.
    - CVE-2025-59798
  * SECURITY UPDATE: stack overflow in pdfmark_coerce_dest
    - debian/patches/CVE-2025-59799.patch: bounds check some strings in
      devices/vector/gdevpdfm.c.
    - CVE-2025-59799
  * SECURITY UPDATE: heap overflow in ocr_begin_page
    - debian/patches/CVE-2025-59800.patch: fix int overflow in
      devices/gdevpdfocr.c.
    - CVE-2025-59800

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Sep 2025 12:37:20 -0400

ghostscript (10.02.1~dfsg1-0ubuntu7.7) noble-security; urgency=medium

  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2025-48708.patch: Argument sanitization handle
      '#' as per '='
    - CVE-2025-48708

 -- Bruce Cable <bruce.cable@canonical.com>  Thu, 03 Jul 2025 15:29:52 +1000

ghostscript (10.02.1~dfsg1-0ubuntu7.6) noble-security; urgency=medium

  * SECURITY UPDATE: directory escape via overlong encodings
    - debian/patches/CVE-2025-46646.patch: handle another set of sequences
      in base/gp_utf8.c.
    - CVE-2025-46646

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Apr 2025 09:26:37 -0400

ghostscript (10.02.1~dfsg1-0ubuntu7.5) noble-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow via serialization of DollarBlend
    - debian/patches/CVE-2025-27830.patch: fix potential Buffer overflow
      in base/write_t1.c, psi/zfapi.c.
    - CVE-2025-27830
  * SECURITY UPDATE: Text buffer overflow with long characters
    - debian/patches/CVE-2025-27831.patch: prevent Unicode decoding overrun
      in devices/vector/doc_common.c.
    - CVE-2025-27831
  * SECURITY UPDATE: Compression buffer overflow
    - debian/patches/CVE-2025-27832.patch: avoid integer overflow leading
      to buffer overflow in contrib/japanese/gdevnpdl.c.
    - CVE-2025-27832
  * SECURITY UPDATE: Buffer overflow with long TTF font name
    - debian/patches/CVE-2025-27833.patch: check TTF name size before
      copying to buffer in pdf/pdf_fmap.c.
    - CVE-2025-27833
  * SECURITY UPDATE: Buffer overflow caused by an oversized Type 4 function
    - debian/patches/CVE-2025-27834.patch: guard against unsigned int
      overflow in pdf/pdf_func.c.
    - CVE-2025-27834
  * SECURITY UPDATE: Buffer overflow when converting glyphs to unicode
    - debian/patches/CVE-2025-27835.patch: fix confusion between bytes and
      shorts in psi/zbfont.c.
    - CVE-2025-27835
  * SECURITY UPDATE: Print buffer overflow
    - debian/patches/CVE-2025-27836-1.patch: fix potential print buffer
      overflow in contrib/japanese/gdev10v.c.
    - debian/patches/CVE-2025-27836-2.patch: fix compiler warnings in
      contrib/japanese/gdev10v.c.
    - CVE-2025-27836

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 Mar 2025 13:42:18 -0400

ghostscript (10.02.1~dfsg1-0ubuntu7.4) noble-security; urgency=medium

  * SECURITY UPDATE: incorrect Pattern Implementation type handling
    - debian/patches/CVE-2024-46951.patch: check the type of the Pattern
      Implementation in psi/zcolor.c.
    - CVE-2024-46951
  * SECURITY UPDATE: Buffer overflow in PDF XRef stream
    - debian/patches/CVE-2024-46952.patch: sanitise W array values in Xref
      streams in pdf/pdf_xref.c.
    - CVE-2024-46952
  * SECURITY UPDATE: output filename overflow
    - debian/patches/CVE-2024-46953.patch: check for overflow validating
      format string for the output file name in base/gsdevice.c.
    - CVE-2024-46953
  * SECURITY UPDATE: directory escape via overlong encodings
    - debian/patches/CVE-2024-46954.patch: fix decode_utf8 to forbid
      overlong encodings in base/gp_utf8.c.
    - CVE-2024-46954
  * SECURITY UPDATE: Out of bounds read when reading color
    - debian/patches/CVE-2024-46955.patch: check Indexed colour space index
      in psi/zcolor.c.
    - CVE-2024-46955
  * SECURITY UPDATE: incorrect buffer length check
    - debian/patches/CVE-2024-46956.patch: fix length check in psi/zfile.c.
    - CVE-2024-46956

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 06 Nov 2024 11:35:01 -0500

ghostscript (10.02.1~dfsg1-0ubuntu7.3) noble-security; urgency=medium

  * SECURITY UPDATE: stack-based buffer overflow via long PDF filter name
    - debian/patches/CVE-2024-29506.patch: don't allow PDF files with bad
      Filters to overflow the debug buffer in pdf/pdf_file.c.
    - CVE-2024-29506
  * SECURITY UPDATE: stack-based buffer overflows
    - debian/patches/CVE-2024-29507.patch: bounds checks when using CIDFont
      related params in pdf/pdf_font.c, pdf/pdf_warnings.h.
    - CVE-2024-29507
  * SECURITY UPDATE: heap-based pointer disclosure via constructed BaseFont
    name
    - debian/patches/CVE-2024-29508.patch: review printing of pointers in
      base/gsfont.c, base/gsicc_cache.c, base/gsmalloc.c, base/gxclmem.c,
      base/gxcpath.c, base/gxpath.c, base/szlibc.c, devices/gdevupd.c,
      devices/vector/gdevpdtb.c, psi/ialloc.c, psi/igc.c, psi/igcstr.c,
      psi/iinit.c, psi/imainarg.c, psi/isave.c, psi/iutil.c.
    - debian/patches/CVE-2024-29508-2.patch: fix compiler warning in
      optimised build in base/gsicc_cache.c.
    - debian/patches/CVE-2024-29508-3.patch: remove extra arguments in
      devices/gdevupd.c.
    - CVE-2024-29508
  * SECURITY UPDATE: heap-based overflow via PDFPassword with null byte
    - debian/patches/CVE-2024-29509.patch: don't use strlen on passwords in
      pdf/pdf_sec.c.
    - CVE-2024-29509
  * SECURITY UPDATE: directory traversal issue via OCRLanguage
    - debian/patches/CVE-2024-29511.patch: reject OCRLanguage changes after

