=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-linktree,
@@ -49,7 +49,14 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Provides:
+ ghostscript-x (= ${binary:Version}),
  postscript-viewer,
+Conflicts:
+ ghostscript-x (<< 10.02.0~dfsg-1),
+Replaces:
+ ghostscript-x (<< 10.02.0~dfsg-1),
+Suggests:
+ texlive-binaries
 Description: interpreter for the PostScript language and for PDF
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview,
@@ -58,6 +65,8 @@
  Furthermore, it can render PostScript and PDF files as graphics
  to be printed on non-PostScript printers.
  Supported printers include common dot-matrix, inkjet and laser models.
+ .
+ The suggested texlive-binaries package is only required when using dvipdf.
 
 Package: ghostscript-doc
 Section: doc
@@ -156,23 +165,3 @@
  for the GPL Ghostscript library
  which makes the facilities of GPL Ghostscript available
  to applications.
-
-Package: ghostscript-x
-Section: oldlibs
-Architecture: any
-Depends:
- ghostscript (= ${binary:Version}),
- ${misc:Depends},
-Multi-Arch: same
-Description: transitional package for ghostscript
- This is a transitional package and can safely be removed.
-
-Package: libgs9-common
-Section: oldlibs
-Architecture: all
-Depends:
- ${misc:Depends},
- libgs-common
-Multi-Arch: foreign
-Description: transitional package for libgs-common
- This is a transitional package and can safely be removed.
