=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 # detect if build targets experimental suite (or is a draft)
 DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))
 
-pkg-x11 = ghostscript-x
 pkg-data = libgs10-common
 
 binaries := $(shell dh_listpackages)
@@ -60,6 +59,9 @@
 override_dh_auto_build:
 	dh_auto_build -- so $(gs_opts)
 
+execute_after_dh_auto_build-indep:
+	sphinx-build -bhtml doc/src doc/build/html
+
 # check that tracked issues are solved
 override_dh_auto_test:
 	GS="LD_LIBRARY_PATH=sobin GS_LIB=Resource/Init sobin/gsc" \
@@ -103,10 +105,8 @@
 		debian/$(pkg-data)/usr/share/ghostscript/$(GS_DOT_VERSION)/Resource/Font/*
 endif
 
+execute_after_dh_installdocs-indep:
+	dh_sphinxdoc
+
 override_dh_compress:
 	dh_compress -X.pdf
-
-# suppress shlibs resolving for library shipped with its only executable
-override_dh_makeshlibs:
-	dh_makeshlibs --package=$(pkg-x11) -n
-	dh_makeshlibs --no-package=$(pkg-x11)
