## ghostscript 10.03.1~dfsg

=== debian/changelog ===
ghostscript (10.03.1~dfsg-1deepin1) unstable; urgency=medium

  * Add libgs9-common transitional package for smooth upgrading

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 11 Jul 2024 17:20:17 +0800

ghostscript (10.03.1~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [a82a848] New upstream version 10.03.1~dfsg

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 May 2024 22:22:53 -0500

ghostscript (10.03.1~dfsg~git20240518-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [2e5797b] New upstream version 10.03.1~dfsg~git20240518, built from
    upstream git commit 7145885041bb52cc23964f0aa2aec1b1c82b5908

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 May 2024 19:24:20 -0500

ghostscript (10.03.0~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [d50c139] Add "breaks" relationship with manpages-l10n to transition
    German manpages. Closes: #1065396.
  * [9adc766] Simplify ps2ascii script. Closes: #992893.
  * [15664c9] New upstream version 10.03.0~dfsg
  * [2396e20] Remove 0001_fix_pagelist.patch, applied in new version.
  * [e3b0739] Add build-dep on python3-sphinx-copybutton
  * [ff6b89f] Fix break relationship versioning.
  * [2020bbc] Update obsolete dependency package names.

 -- Steve M. Robbins <smr@debian.org>  Thu, 21 Mar 2024 22:44:42 -0500

ghostscript (10.02.1~dfsg-3) unstable; urgency=medium

  [ наб ]
  * [ee3d1ac] Simplify /sbin/update-gsfontmap (Closes: #992889)

  [ Steve Robbins ]
  * [ccc0e3c] Explicitly set font map files to be world readable. 
    Closes: #740959.
  * [5fce3d3] Add suggestion for package texlive-binaries, needed to use
    dvipdf. Closes: #782901.
  * [9ab8028] ghostscript: add conflicts to ghostcript-x to allow removal of
    the obsolete transitional package. Closes: #1053377

 -- Steve M. Robbins <smr@debian.org>  Sat, 20 Jan 2024 15:44:07 -0600

ghostscript (10.02.1~dfsg-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [4b077b5] Incorporate upstream patch to fix PageList processing in PDF 
    handler.  Closes: #1052652
  * [b4524f9] New maintainer.  Closes: #1022718, #1036869.

 -- Steve M. Robbins <smr@debian.org>  Sat, 06 Jan 2024 01:16:23 -0600
