=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-linktree,
@@ -12,10 +12,10 @@
  libcups2-dev [!kfreebsd-any],
  libcupsimage2-dev [!kfreebsd-any],
  libexpat-dev,
- libfontconfig1-dev,
+ libfontconfig-dev,
  libfreetype-dev,
  libice-dev,
- libidn11-dev,
+ libidn-dev,
  libijs-dev,
  libjbig2dec0-dev (>= 0.19),
  libjpeg-dev,
@@ -28,12 +28,13 @@
  libx11-dev,
  libxext-dev,
  libxt-dev,
- pkg-config,
+ pkgconf,
  rename,
  zlib1g-dev:native,
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
+ python3-sphinx-copybutton,
  rst2pdf,
 Standards-Version: 4.6.2
 Homepage: https://www.ghostscript.com/
@@ -55,6 +56,8 @@
  ghostscript-x (<< 10.02.0~dfsg-1),
 Replaces:
  ghostscript-x (<< 10.02.0~dfsg-1),
+Breaks:
+ manpages-l10n (<< 4.22),
 Suggests:
  texlive-binaries
 Description: interpreter for the PostScript language and for PDF
@@ -165,3 +168,14 @@
  for the GPL Ghostscript library
  which makes the facilities of GPL Ghostscript available
  to applications.
+
+Package: libgs9-common
+Section: oldlibs
+Architecture: all
+Depends:
+ ${misc:Depends},
+ libgs-common
+Multi-Arch: foreign
+Description: transitional package for libgs-common
+ This is a transitional package and can safely be removed.
+
